Package org.zkoss.stateless.sul

## Interface IAbsolutelayout

- All Superinterfaces:
    `IAnyGroup<IAbsolutelayout>`, `IChildable<IAbsolutelayout,​IAbsolutechildren<IAnyGroup>>`, `IComponent<IAbsolutelayout>`, `IHtmlBasedComponent<IAbsolutelayout>`, `IXulElement<IAbsolutelayout>`

      public interface IAbsolutelayout
      extends IXulElement<IAbsolutelayout>, IAnyGroup<IAbsolutelayout>, IChildable<IAbsolutelayout,​IAbsolutechildren<IAnyGroup>>

  Immutable `Absolutelayout` component

  An Absolutelayout component can contain absolute positioned multiple absolutechildren components.

  ## Example

       @RichletMapping("/example")
       public IComponent example() {
           return IAbsolutelayout.of(IAbsolutechildren.of(60, 100,
                       IWindow.ofTitle("X=60, Y=100").withBorder("normal")
                           .withChildren(ILabel.of("Window 1"))),
                   IAbsolutechildren.of(160, 200,
                       IWindow.ofTitle("X=160, Y=200").withBorder("normal")
                           .withChildren(ILabel.of("Window 2"))),
                   IAbsolutechildren.of(260, 300,
                       IWindow.ofTitle("X=260, Y=300").withBorder("normal")
                           .withChildren(ILabel.of("Window 3"))));
           }
       }

  Author:
    katherine
  See Also:
    `Absolutelayout`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IAbsolutelayout.Builder` | Builds instances of type `IAbsolutelayout`.
    `static class` | `IAbsolutelayout.Updater` | Builds an updater of type `IAbsolutelayout` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IAbsolutelayout` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static IAbsolutelayout` | `of​(java.lang.Iterable<? extends IAbsolutechildren<IAnyGroup>> children)` | Returns the instance with the given `IAbsolutechildren` children.
    `static IAbsolutelayout` | `of​(IAbsolutechildren<IAnyGroup>... children)` | Returns the instance with the given `IAbsolutechildren` children.
    `static IAbsolutelayout` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `static IAbsolutelayout` | `ofSize​(java.lang.String width, java.lang.String height)` | Returns the instance with the given size, width and height.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IAbsolutelayout DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zul.layout.Absolutelayout"`

      Specified by:
        `getWidgetClass` in interface `IComponent<IAbsolutelayout>`

    - #### of

          static IAbsolutelayout of​(java.lang.Iterable<? extends IAbsolutechildren<IAnyGroup>> children)

      Returns the instance with the given `IAbsolutechildren` children.
      Parameters:
        `children` - The children of `IAbsolutechildren`

    - #### of

          static IAbsolutelayout of​(IAbsolutechildren<IAnyGroup>... children)

      Returns the instance with the given `IAbsolutechildren` children.
      Parameters:
        `children` - The children of `IAbsolutechildren`

    - #### ofId

          static IAbsolutelayout ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component

    - #### ofSize

          static IAbsolutelayout ofSize​(java.lang.String width,
                                        java.lang.String height)

      Returns the instance with the given size, width and height.
      Parameters:
        `width` - The width of the component
        `height` - The height of the component